Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.turbine.modules.navigations
Class TemplateNavigation

    java.lang.Object
      org.apache.turbine.modules.Assembler
          org.apache.turbine.modules.Navigation
              org.apache.turbine.modules.navigations.TemplateNavigation

Direct Known Subclasses:
  BaseJspNavigation, VelocityNavigation

    public abstract class TemplateNavigation

extends Navigation

Base Template Navigation.

Version:
  $Id: TemplateNavigation.java 1066561 2011-02-02 18:15:37Z ludwig $
Author:
  Dave Bryson, Peter Courcoux

Field Summary

Fields inherited from class org.apache.turbine.modules.Navigation
`CACHE_SIZE_DEFAULT, CACHE_SIZE_KEY, NAME, PREFIX`

Constructor Summary
`TemplateNavigation()`

Method Summary
`org.apache.ecs.ConcreteElement` | `buildTemplate(PipelineData pipelineData)` This Builds the WebMacro/FreeMarker/etc template.
`abstract org.apache.ecs.ConcreteElement` | `buildTemplate(RunData data)` Deprecated. Use PipelineData version
`protected org.apache.ecs.ConcreteElement` | `doBuild(PipelineData pipelineData)` Calls doBuildTemplate() and then buildTemplate().
`protected org.apache.ecs.ConcreteElement` | `doBuild(RunData data)` Calls doBuildTemplate() and then buildTemplate().
`protected void` | `doBuildTemplate(PipelineData pipelineData)` WebMacro Navigations extending this class should overide this method to perform any particular business logic and add information to the context.
`protected abstract void` | `doBuildTemplate(RunData data)` Deprecated. Use PipelineData version instead.

Methods inherited from class org.apache.turbine.modules.Navigation
`build, build, getPrefix, prepareText`

Methods inherited from class org.apache.turbine.modules.Assembler
`getRunData`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TemplateNavigation

    public TemplateNavigation()

Method Detail

### doBuildTemplate

    @Deprecated
    protected abstract void doBuildTemplate(RunData data)
                                     throws Exception

  Deprecated. Use PipelineData version instead.

  WebMacro Navigations extending this class should overide this method to perform any particular business logic and add information to the context.

  Parameters:
    `data` - Turbine information.
  Throws:
    `Exception` - a generic exception.

### doBuildTemplate

    protected void doBuildTemplate(PipelineData pipelineData)
                            throws Exception

  WebMacro Navigations extending this class should overide this method to perform any particular business logic and add information to the context.

  Parameters:
    `data` - Turbine information.
  Throws:
    `Exception` - a generic exception.

### buildTemplate

    @Deprecated
    public abstract org.apache.ecs.ConcreteElement buildTemplate(RunData data)
                                                          throws Exception

  Deprecated. Use PipelineData version

  This Builds the WebMacro/FreeMarker/etc template.

  Parameters:
    `data` - Turbine information.
  Returns:
    A ConcreteElement.
  Throws:
    `Exception` - a generic exception.

### buildTemplate

    public org.apache.ecs.ConcreteElement buildTemplate(PipelineData pipelineData)
                                                 throws Exception

  This Builds the WebMacro/FreeMarker/etc template. Should revert to abstract when RunData goes.

  Parameters:
    `pipelineData` - Turbine information.
  Returns:
    A ConcreteElement.
  Throws:
    `Exception` - a generic exception.

### doBuild

    protected org.apache.ecs.ConcreteElement doBuild(RunData data)
                                              throws Exception

  Calls doBuildTemplate() and then buildTemplate().

  Specified by:
    `doBuild` in class `Navigation`
  Parameters:
    `data` - Turbine information.
  Returns:
    A ConcreteElement.
  Throws:
    `Exception` - a generic exception.

### doBuild

    protected org.apache.ecs.ConcreteElement doBuild(PipelineData pipelineData)
                                              throws Exception

  Calls doBuildTemplate() and then buildTemplate().

  Overrides:
    `doBuild` in class `Navigation`
  Parameters:
    `data` - Turbine information.
  Returns:
    A ConcreteElement.
  Throws:
    `Exception` - a generic exception.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2011 The Apache Software Foundation. All Rights Reserved.